cascading.flow.planner.iso.expression

## Interface Expression<Type>

All Known Implementing Classes:
  AndElementExpression, AnnotationExpression, BoundariesElementExpression, ElementExpression, EquivalentTapsScopeExpression, FlowElementExpression, GroupOrMergeElementExpression, JoinEdgesSameSourceScopeExpression, NonSafeOperationExpression, NotElementExpression, OperationExpression, OrdinalScopeExpression, OrElementExpression, PathScopeExpression, PlannerLevelElementExpression, ScopeExpression, TapOrBoundaryElementExpression, TypeExpression

    public interface Expression<Type>

### Method Summary

Methods
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, Type type)`

### Method Detail

#### applies

    boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  Type type)